@charset "utf-8";

/* -----------------------------------------------------------
  cmn-modal
-------------------------------------------------------------- */
.cmn_modal [class^="modal_content"] .content--subttl {
	align-items: center;
	border-radius: 3px;
	background: var(--sub);
	color: #fff;
	display: flex;
	font-size: 2rem;
	font-weight: 600;
	gap: 8px;
	line-height: 1.5;
	letter-spacing: .05em;
	padding: 8px 15px 10px;
	width: 100%;
	margin: 0 0 20px;
}

.cmn_modal [class^="modal_content"] .content--qa {
	margin: 0 0 50px;
}

.cmn_modal [class^="modal_content"] .content--qa dt {
	border-bottom: 1px solid;
	color: var(--sub2);
	font-size: 1.9rem;
	font-weight: bold;
	margin: 35px 0 0;
	padding: 0 0 15px;
}

.cmn_modal [class^="modal_content"] .content--qa dt span {
	line-height: 1.2;
	font: 600 2.2rem/1 var(--en);
	margin: 0 10px 0 0;
}

.cmn_modal [class^="modal_content"] .content--qa dd {
	margin-top: 15px;
}

.cmn_modal [class^="modal_content"] .content--qa dd p:not(:first-of-type) {
	margin-top: 5px;
}

.cmn_modal [class^="modal_content"] .content--qa dd p.catch {
	margin-top: 15px;
	font-weight: bold;
	font-size: 2.1rem;
	color: var(--main);
}

@media screen and (max-width: 768px) {
	.cmn_modal [class^="modal_content"] .content--subttl {
		font-size: 1.7rem;
		padding: 12px 15px 14px;
	}

	.cmn_modal [class^="modal_content"] .content--qa {
		margin: 0 0 30px;
	}

	.cmn_modal [class^="modal_content"] .content--qa dt {
		font-size: 1.7rem;
		display: flex;
		margin: 25px 0 0;
		line-height: 1.4;
		padding: 0 0 10px;
	}

	.cmn_modal [class^="modal_content"] .content--qa dt span {
		font-size: 2rem;
		padding: 3px 0 0;
	}

	.cmn_modal [class^="modal_content"] .content--qa dd {
		font-size: 1.5rem;
		margin-top: 15px;
	}

	.cmn_modal [class^="modal_content"] .content--qa dd p {
		line-height: 2;
		font-size: 1.5rem;
	}

	.cmn_modal [class^="modal_content"] .content--qa dd p.catch {
		font-size: 1.8rem;
		line-height: 1.5;
		margin: 0 0 10px;
	}
}

/* -----------------------------------------------------------
  モーダルフレーム
-------------------------------------------------------------- */
[class^="modal_btn"] .btn--icon-wrap {
	position: absolute;
	bottom: 20px;
	right: 20px;
}

[class^="modal_btn"] .btn--icon {
	background: var(--main);
	width: 28px;
	height: 28px;
	position: relative;
	display: block;
}

[class^="modal_btn"] .btn--icon::before, [class^="modal_btn"] .btn--icon::after {
	background-color: #fff;
	content: "";
	height: 2px;
	position: absolute;
	width: 20px;
	transition: all .3s;
	top: 48%;
	-webkit-transform: translateY(-50%);
	transform: translateY(-50%);
	display: block;
	left: 4.5px;
}

[class^="modal_btn"] .btn--icon::before {
	transform: rotate(0deg);
}

[class^="modal_btn"] .btn--icon::after {
	transform: rotate(90deg);
}

@media screen and (max-width: 768px) {
	[class^="modal_btn"] .btn--icon::before, [class^="modal_btn"] .btn--icon::after {
		width: 18px;
	}
}

/* -----------------------------------------------------------
  モーダルフレーム
-------------------------------------------------------------- */

/* モーダルを開くボタン */
[class^="modal_btn"] {
	cursor: pointer;
	width: calc((100% - 50px) / 2);
	flex-shrink: 0;
	background: #fff;
	position: relative;
	transition: .5s;
	overflow: hidden;
	display: flex;
	align-items: center;
	gap: 0 30px;
}

/* モーダル本体 */
[class^="modal_main"] {
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	z-index: 9999;
	width: 100%;
	height: 100%;
}

[class^="modal_layer"] {
	height: 100%;
	background: rgba(50, 50, 50, .85);
	cursor: pointer;
}

[class^="modal_container"] {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: min(calc(100% - 40px), 1100px);
	height: calc(100% - 40px);
	padding: 20px;
	background: #fff;
	z-index: 99999;
}

[class^="modal_inner"] {
	position: relative;
	overflow-y: scroll;
	height: 100%;
	padding: 40px;
}

/* モーダルを閉じるボタン */
[class^="modal_close"] {
	position: fixed;
	top: 20px;
	right: 50px;
	width: 44px;
	height: 44px;
	background: rgba(50, 50, 50, 1);
	cursor: pointer;
	transition: opacity .6s;
	z-index: 3;
}

[class^="modal_close"]:hover {
	opacity: .6;
}

[class^="modal_close"]:before, [class^="modal_close"]:after {
	position: absolute;
	top: 50%;
	left: 50%;
	width: 20px;
	height: 1px;
	background: #fff;
	content: '';
}

[class^="modal_close"]:before {
	transform: translate(-50%, -50%) rotate(45deg);
}

[class^="modal_close"]:after {
	transform: translate(-50%, -50%) rotate(-45deg);
}

@media screen and (max-width: 768px) {
	[class^="modal_trg"] {
		display: block;
		width: 100%;
	}

	[class^="modal_btn"] {
		width: 100%;
		margin: 0 0 20px;
		display: block;
	}

	[class^="modal_trg"] [class^="modal_btn"]:last-of-type {
		margin: 0;
	}

	[class^="modal_container"] {
		width: calc(100% - 40px);
		padding: 25px 2px 20px;
	}

	[class^="modal_inner"] {
		padding: 0 13px;
	}

	[class^="modal_close"] {
		top: 10px;
		right: 10px;
		width: 34px;
		height: 34px;
	}
}

/* -----------------------------------------------------------
  モーダルプロフィール
-------------------------------------------------------------- */
[class^="modal_content"] .content--thumb {
	align-items: flex-end;
	border-radius: 100%;
	background: #e9e5d1;
	display: flex;
	float: left;
	overflow: hidden;
	width: 100px;
	height: 100px;
	margin: 0 20px 5px 0;
	justify-content: center;
}

[class^="modal_content"] .content--thumb img {
	max-width: 90%;
	max-height: 90%;
}

[class^="modal_content"] .content--ttl {
	font-size: 2.3rem;
	font-weight: bold;
	line-height: 1.5;
	padding: 30px 0 0;
	letter-spacing: .05em;
}

[class^="modal_content"] .content--profile {
	align-items: center;
	display: flex;
	margin: 25px 0;
	gap: 15px;
}

[class^="modal_content"] .content--profile .content--ba {
	display: flex;
	flex-grow: 1;
	gap: 15px;
	max-width: 620px;
}

[class^="modal_content"] .content--ba-box {
	width: calc((100% - 15px) / 2);
	border-radius: 5px;
	font-size: 1.6rem;
	letter-spacing: 0.02em;
	position: relative;
	padding: 20px 15px;
	background-color: #fff;
}

[class^="modal_content"] .content--ba-box.before {
	border: solid 2px #e6e8eb;
}

[class^="modal_content"] .content--ba-box.after {
	border: solid 2px var(--main);
}

[class^="modal_content"] .content--ba-box dt {
	position: absolute;
	font-size: 1.4rem;
	letter-spacing: 0.02em;
	width: 65px;
	height: 25px;
	color: #fff;
	border-radius: 11.5px;
	text-align: center;
	line-height: 25px;
	top: -13px;
	left: 15px;
}

[class^="modal_content"] .content--ba-box.before dt {
	background-color: #bcbfc4;
}

[class^="modal_content"] .content--ba-box.after dt {
	background-color: var(--main);
}

[class^="modal_content"] .content--ba-box dd {
	line-height: 1.4;
	font-weight: 500;
}

[class^="modal_content"] .content--persona {
	font-size: 1.5rem;
	line-height: 1;
	color: var(--gray3);
}

@media screen and (max-width: 768px) {
	[class^="modal_content"] .content--thumb {
		width: 70px;
		height: 70px;
		margin: 30px 15px 5px 0;
	}

	[class^="modal_content"] .content--ttl {
		font-size: 1.7rem;
		line-height: 1.6;
	}

	[class^="modal_content"] .content--profile {
		flex-direction: column;
		gap: 15px;
		margin: 25px 0;
	}

	[class^="modal_content"] .content--profile .content--ba {
		flex-direction: column;
		gap: 20px;
		max-width: 100%;
		width: 100%;
	}

	[class^="modal_content"] .content--ba-box {
		width: 100%;
		padding: 18px 15px;
	}

	[class^="modal_content"] .content--ba-box dd {
		font-size: 1.5rem;
	}

	[class^="modal_content"] .content--persona {
		width: 100%;
		display: flex;
		justify-content: flex-end;
	}
	
	[class^="modal_content"] .content--persona p {
		line-height: 1.5;
	}

	[class^="modal_content"] .content--profile-name {
		font-size: 1.4rem;
	}

	[class^="modal_content"] .content--profile-year {
		font-size: 1.4rem;
	}
}

/* -----------------------------------------------------------
  content--staff
-------------------------------------------------------------- */
.content--staff {
	align-items: center;
	background: var(--cmnbg);
	display: flex;
	gap: 20px;
	padding: 30px;
}

.content--staff .ttl {
	font-size: 1.4rem;
	color: var(--sub2);
	font-family: var(--en);
	font-weight: 500;
	width: 80px;
	flex-shrink: 0;
	text-align: center;
	padding: 90px 0 0;
	position: relative;
	line-height: 1.2;
}

.content--staff .ttl::before {
	content: "";
	background: url(../img/staff-w.svg)center/contain no-repeat;
	position: absolute;
	left: 50%;
	-webkit-transform: translateX(-50%);
	transform: translateX(-50%);
	top: 0;
	width: 70px;
	aspect-ratio: 300/349;
}

@media screen and (max-width: 768px) {
	.content--staff {
		flex-direction: column;
		gap: 10px;
		padding: 30px 20px 20px 20px;
		margin: 0 0 60px;
	}

	.content--staff .ttl {
		width: fit-content;
		flex-shrink: 0;
		text-align: left;
		padding: 0 0 0 60px;
		margin: 0 auto 13px;
	}

	.content--staff .ttl::before {
		left: 0;
		-webkit-transform: translateY(-50%);
		transform: translateY(-50%);
		top: 50%;
		width: 50px;
	}

	.content--staff p {
		font-size: 1.5rem;
	}
}